- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::EmitterCommands::CmdDuration Class Reference

Command object for particle emitter - see ParamCommand. More...

`#include <OgreParticleEmitterCommands.h>`

Inheritance diagram for Ogre::EmitterCommands::CmdDuration:
[legend]

List of all members.

## Public Member Functions
String | doGet (const void *target) const
void | doSet (void *target, const String &val)

## Detailed Description

Command object for particle emitter - see ParamCommand.

Definition at line 134 of file OgreParticleEmitterCommands.h.

## Member Function Documentation

String Ogre::EmitterCommands::CmdDuration::doGet | ( | const void * | target | ) | const`[virtual]`

Implements Ogre::ParamCommand.

void Ogre::EmitterCommands::CmdDuration::doSet | ( | void * | target,
|  | const String & | val |
| ) |  |  | `[virtual]`

Implements Ogre::ParamCommand.

The documentation for this class was generated from the following file:

- OgreParticleEmitterCommands.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:55:22 2008